+++
title = "Chat with us!"
+++
<!-- SPDX-License-Identifier: CC0-1.0 -->

[About us](@/_index.md). (<abbr title="Work in Progress">WiP</abbr>)

# Chat with us!
You can access LibreGaming chatrooms/server(s) from any of Matrix, XMPP, Libera.chat or FreeGameDev irc<br>
<sub>*Fun fact: All rooms are bridged via [FreeGameDev IRC] using its [Matrix Gateway], [XMPP Gateway] and IRC bridge [(matterbridge)] for libera-chat.<br>
Official LibreGaming rooms will not be connected to discord for [numerous reasons].*</sub>

[Matrix Gateway]:https://wiki.f-hub.org/books/chat-network/page/gateways-for-xmpp-and-matrix#bkmrk-how-to-connect-from--1
[XMPP Gateway]: https://wiki.f-hub.org/books/chat-network/page/gateways-for-xmpp-and-matrix#bkmrk-how-to-connect-from-
[(matterbridge)]: https://wiki.f-hub.org/books/chat-network/page/bridges-to-other-chat-systems#bkmrk-matterbridge-bot-bri
[FreeGameDev IRC]: https://irc.freegamedev.net/
[numerous reasons]: https://drewdevault.com/2021/12/28/Dont-use-Discord-for-FOSS.html
[FreeGameDev]: https://freegamedev.net/

Official chatrooms summary *(Also available in the [Matrix Space](https://matrix.to/#/#libregaming-community:tchncs.de)):*
- *general*: chat about libre games, their development and philosophy
<nobr>
  [matrix](https://matrix.to/#/#libregaming-general:tchncs.de)
  [xmpp](https://xmpp.f-hub.org/#%23libregaming@irc.f-hub.org?join)
  [libera-chat](ircs://irc.libera.chat/#libregamenight)
  [fgd](ircs://irc.freegamedev.net/#libregaming)
  [archive](https://view.matrix.org/room/!YBYGuZnidXkfegAxjg:freedombox.emorrp1.name/)
</nobr>
- *matchmaking*: matchmaking service/bot to find people to play with
<nobr>
  [matrix](https://matrix.to/#/#libregaming-matchmaking:tchncs.de)
  [xmpp](https://xmpp.f-hub.org/#%23matchmaking@irc.f-hub.org?join)
  [libera-chat](ircs://irc.libera.chat/#libregaming-matchmaking)
  [fgd](ircs://irc.freegamedev.net/#matchmaking)
  [archive](https://view.matrix.org/room/!CUNOtCEVFEdXaOUjXL:matrix.org/)
</nobr>
- *offtopic*: for discussions with LibreGaming folks about everything except libregaming
<nobr>
  [matrix](https://matrix.to/#/#libregaming-offtopic:tchncs.de)
  [xmpp](https://xmpp.f-hub.org/#%23offtopic@irc.f-hub.org?join)
  [libera-chat](ircs://irc.libera.chat/#libregaming-offtopic)
  [fgd](ircs://irc.freegamedev.net/#offtopic)
  [archive](https://view.matrix.org/room/!csFYqQwEzkhBXOMzLF:matrix.org/)
</nobr>
- *organization*: meta channel for discussing the LibreGaming.org project itself
<nobr>
  [matrix](https://matrix.to/#/#libregaming-organization:tchncs.de)
  [xmpp](https://xmpp.f-hub.org/#%23libregaming-org@irc.f-hub.org?join)
  [libera-chat](ircs://irc.libera.chat/#libregaming-organization)
  [fgd](ircs://irc.freegamedev.net/#libregaming-org)
  [archive](https://view.matrix.org/room/!qLhNfILESSCaasbRWB:freedombox.emorrp1.name/)
</nobr>

<sup>*You may want to check the bottom of the page for more related communities such as [FreeGameDev] for FLOSS game development.*</sup>

---

## How to join from Matrix
- [Create an account here](https://tchncs.de/matrix) or on any other Matrix server (if you want, [Install an App](https://matrix.org/ecosystem/clients/) to use instead of the website).
- Join the [LibreGaming Community](https://matrix.to/#/#libregaming-community:tchncs.de) or join these rooms individually if you want to avoid Matrix Spaces:
  - [General](https://matrix.to/#/#libregaming-general:tchncs.de) (`#libregaming-general:tchncs.de`)
  - [Matchmaking](https://matrix.to/#/#libregaming-matchmaking:tchncs.de) (`#libregaming-matchmaking:tchncs.de`)
  - [Offtopic](https://matrix.to/#/#libregaming-offtopic:tchncs.de) (`#libregaming-offtopic:tchncs.de`)
  - [Organization](https://matrix.to/#/#libregaming-organization:tchncs.de) (`#libregaming-organization:tchncs.de`)
- *You can also check the [Libre Gaming Space](/space.html) for other related Matrix spaces and rooms*

---

## How to join from Jabber/XMPP
- [Get started with XMPP](https://joinjabber.org/docs/)
- Join the rooms:
    - [General](https://xmpp.f-hub.org/#%23libregaming@irc.f-hub.org?join)    (`#libregaming@irc.f-hub.org`)
    - [Matchmaking](https://xmpp.f-hub.org/#%23matchmaking@irc.f-hub.org?join)    (`#matchmaking@irc.f-hub.org`)
    - [Offtopic](https://xmpp.f-hub.org/#%23offtopic@irc.f-hub.org?join)    (`#offtopic@irc.f-hub.org`)
    - [Organization](https://xmpp.f-hub.org/#%23libregaming-org@irc.f-hub.org?join)    (`#libregaming-org@irc.f-hub.org`)

---

## How to join from libera.chat IRC
Note: various features are not supported by the IRC protocol: for a better experience, consider using a Matrix or Jabber/XMPP instead
- [Open Libera.chats's webclient](https://web.libera.chat/?channel=#libregamenight) or [Download another client](https://libera.chat/guides/clients) *and optionally [Register an account](https://libera.chat/guides/registration) after joining*.
- Join the channels:
  - [General](ircs://irc.libera.chat/#libregamenight)    (`#libregamenight`)
  - [Matchmaking](ircs://irc.libera.chat/#libregaming-matchmaking)    (`#libregaming-matchmaking`)
  - [Offtopic](ircs://irc.libera.chat/#libregaming-offtopic)    (`#libregaming-offtopic`)
  - [Organization](ircs://irc.libera.chat/#libregaming-organization)    (`#libregaming-organization`)

---

## How to join from FreeGameDev (FGD) IRC
Note: Although FGD supports more features than libera.chat, various features are still not supported: for a better experience, consider using a Matrix or Jabber/XMPP instead.
- [Open FGD's webclient](https://irc.freegamedev.net/kiwiirc/#libregaming) or use your favorite IRC client and configure it to (address: irc.freegamedev.net, port: 6697 (TLS only))
- Join the channels:
  - [General](ircs://irc.freegamedev.net/#libregaming)    (`#libregaming`)
  - [Matchmaking](ircs://irc.freegamedev.net/#matchmaking)    (`#matchmaking`)
  - [Offtopic](ircs://irc.freegamedev.net/#offtopic)    (`#offtopic`)
  - [Organization](ircs://irc.freegamedev.net/#libregaming-org)    (`#libregaming-org`)

---

## Other communities and chatrooms

For on-topic chat about Libre Gaming, these are the active communities we are aware of.

- [FreeGameDev.net](https://freegamedev.net): bring players and developers together like the old #freegamer on Freenode
  <nobr>
  [matrix](https://matrix.f-hub.org/#/%23irc_%23general:matrix.f-hub.org)
  [xmpp](https://xmpp.f-hub.org/#%23general@irc.f-hub.org?join)
  [fgd](ircs://irc.freegamedev.net/#general)
  [archive](https://matrix.f-hub.org/#/%23irc_%23general:matrix.f-hub.org)
  </nobr>
- [onFOSS](https://onfoss.org/): an online LAN-Party-like event
  <nobr>
  [matrix](https://matrix.f-hub.org/#/%23irc_%23onfoss:matrix.f-hub.org)
  [xmpp](https://xmpp.f-hub.org/#%23onfoss@irc.f-hub.org?join)
  [fgd](ircs://irc.freegamedev.net/#onfoss)
  </nobr>
- [opensource_gaming](https://twitch.tv/opensource_gaming): twitch channel to bring attention to a lot of great Open Source projects
  <nobr>
  [matrix](https://matrix.to/#/#generalosg:matrix.org)
  [xmpp](xmpp:%23generalosg%23matrix.org@aria-net.org?join)
  </nobr>
- *SMAC*: чат без смысла и цели
  <nobr>
  [matrix](https://matrix.to/#/#xmpp_smac_conference.bitcheese.net:matrix.org)
  [xmpp](xmpp:smac@conference.bitcheese.net?join)
  </nobr>
- *Free, Libre, and Open Source Gaming*
  <nobr>
  [matrix](https://matrix.to/#/#libregaming:matrix.org)
  [xmpp](xmpp:%23libregaming%23matrix.org@aria-net.org?join)
  </nobr>
